Bug 437441 - oops on pressing alt-tab
oops on pressing alt-tab
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-14 03:29 EDT by Dhaval Giani
Modified: 2008-05-15 20:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-15 20:19:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the dmesg after oops (57.60 KB, text/plain)
2008-03-14 03:30 EDT, Dhaval Giani
no flags Details

  None (edit)
Description Dhaval Giani 2008-03-14 03:29:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.12) Gecko/20080208 Fedora/2.0.0.12-1.fc8 Firefox/2.0.0.12

Description of problem:
on pressing alt-tab kernel oops. will attach dmesg.

Version-Release number of selected component (if applicable):
kernel-2.6.25-0.105.rc5.fc9.i686

How reproducible:
Always


Steps to Reproduce:
1.press alt tab
2.
3.

Actual Results:
system oops

BUG: unable to handle kernel paging request at 6b6b6b6b
IP: [<f8a1bf72>] :drm:drm_i_have_hw_lock+0x13/0x27
*pde = 00000000 
Oops: 0000 [#1] SMP 
Modules linked in: nls_utf8 ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 xt_state nf_conntrack ipt_REJECT xt_tcpudp iptable_filter ip_tables x_tables bridge rfcomm l2cap bluetooth autofs4 sunrpc ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi scsi_transport_iscsi cpufreq_ondemand acpi_cpufreq dm_mirror dm_multipath dm_mod ipv6 kvm_intel kvm snd_hda_intel snd_seq_dummy snd_seq_oss parport_pc snd_seq_midi_event parport snd_seq floppy snd_seq_device snd_pcm_oss pcspkr snd_mixer_oss i915 snd_pcm iTCO_wdt drm i2c_i801 snd_timer iTCO_vendor_support snd_page_alloc i2c_algo_bit snd_hwdep i2c_core button e1000e snd sr_mod soundcore cdrom sg pata_acpi ata_generic ata_piix libata sd_mod scsi_mod ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd [last unloaded: microcode]

Pid: 2520, comm: Xorg Not tainted (2.6.25-0.105.rc5.fc9 #1)
EIP: 0060:[<f8a1bf72>] EFLAGS: 00213202 CPU: 1
EIP is at drm_i_have_hw_lock+0x13/0x27 [drm]
EAX: 6b6b6b6b EBX: 00000008 ECX: f1ad41e0 EDX: f1acdf20
ESI: f7c30000 EDI: f1acdf20 EBP: f1a4edc4 ESP: f1a4edc4
 DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
Process Xorg (pid: 2520, ti=f1a4e000 task=f7c18000 task.ti=f1a4e000)
Stack: f1a4edf4 f8a1ab9f f5000700 f1a4ede0 f76074e0 f7bca894 00000008 f7bca69c 
       f5000700 00000008 f7bca69c f5000700 f1a4ee14 c0489254 f76074e0 f78089c0 
       f7bca69c f5000700 00000000 f1a42540 f1a4ee1c c048930f f1a4ee30 c04869a7 
Call Trace:
 [<f8a1ab9f>] ? drm_release+0x177/0x3ae [drm]
 [<c0489254>] ? __fput+0xb3/0x157
 [<c048930f>] ? fput+0x17/0x19
 [<c04869a7>] ? filp_close+0x50/0x5a
 [<c042a2f3>] ? put_files_struct+0x68/0xaa
 [<c042a36c>] ? __exit_files+0x37/0x3c
 [<c042b6ef>] ? do_exit+0x215/0x635
 [<c042bb75>] ? do_group_exit+0x66/0x7d
 [<c0433d8a>] ? get_signal_to_deliver+0x2ba/0x2e0
 [<c0404f5c>] ? do_notify_resume+0x9b/0x776
 [<c04328ee>] ? do_tkill+0xea/0xf4
 [<c0638e96>] ? _read_unlock+0x1d/0x20
 [<c040a02a>] ? sched_clock+0x8/0xb
 [<c044306d>] ? lock_release_holdtime+0x1a/0x115
 [<c0638ee3>] ? _spin_unlock_irq+0x22/0x2f
 [<c045ed77>] ? audit_syscall_entry+0xf9/0x123
 [<c040b57f>] ? do_syscall_trace+0x138/0x17f
 [<c040b4b0>] ? do_syscall_trace+0x69/0x17f
 [<c0405e3e>] ? work_notifysig+0x13/0x19
 =======================
Code: 00 00 40 f0 0f b1 0b 39 d0 75 e9 31 c0 eb 05 b8 01 00 00 00 5b 5e 5d c3 83 7a 24 00 55 8b 4a 64 89 e5 74 17 8b 41 34 85 c0 74 10 <8b> 00 85 c0 79 0a 31 c0 39 51 38 0f 94 c0 eb 02 31 c0 5d c3 55 
EIP: [<f8a1bf72>] drm_i_have_hw_lock+0x13/0x27 [drm] SS:ESP 0068:f1a4edc4
---[ end trace 39102ec24f4cb9dd ]---
Fixing recursive fault but reboot is needed!


Expected Results:
system should not oops

Additional info:
Comment 1 Dhaval Giani 2008-03-14 03:30:29 EDT
Created attachment 298020 [details]
the dmesg after oops

the dmesg
Comment 2 Dhaval Giani 2008-03-14 04:38:24 EDT
ok, upgraded to
[root@mordor ~]# uname -r
2.6.25-0.113.rc5.git2.fc9
[root@mordor ~]# rpm -qv kernel
kernel-2.6.25-0.105.rc5.fc9.i686
kernel-2.6.25-0.113.rc5.git2.fc9.i686
[root@mordor ~]# 

a correction on reproducing steps

Start gnome terminal and press alt tab.
Comment 3 Dhaval Giani 2008-03-14 10:14:07 EDT
don't see this happening on current mainline with the rawhide config.

current head is at dba92d3bc49c036056a48661d2d8fefe4c78375a
Comment 4 Bug Zapper 2008-05-14 02:02:45 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.